.maze-grid {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc; }

.maze-row {
  display: flex;
  justify-content: space-between;
  flex-direction: row; }

.maze-cell {
  width: 100%;
  border-left: 1px solid #ccc;
  border-top: 1px solid #ccc; }

.maze-cell select {
  width: auto; }

.maze-cell-container {
  width: 150px;
  height: 150px;
  max-width: 150px;
  max-height: 150px; }

.maze-cell-controls {
  margin-bottom: auto;
  align-self: flex-end;
  display: flex; }

.maze-cell-image {
  flex: 1; }

.maze-overlay--disabled {
  z-index: 99;
  position: absolute;
  width: 524px;
  height: 600px;
  opacity: 50%;
  background-color: #eee; }

#blocklyDiv {
  display: inline-block;
  width: 524px;
  height: 600px; }

body {
  min-width: 1000px; }

[contenteditable="true"], [contenteditable="false"] {
  padding: 5px;
  margin-bottom: 5px;
  margin-left: 1px;
  margin-right: 1px;
  min-height: 45px;
  color: #000000;
  border-radius: 4px;
  background-color: #ffffff;
  border: 1px solid #cccccc;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border linear .2s, box-shadow linear .2s;
  -moz-transition: border linear .2s, box-shadow linear .2s;
  -o-transition: border linear .2s, box-shadow linear .2s;
  transition: border linear .2s, box-shadow linear .2s; }

[contenteditable="false"] {
  background: #eee; }

[contenteditable="true"]:focus {
  border-color: rgba(82, 168, 236, 0.8);
  outline: 0;
  outline: thin dotted \9;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(82, 168, 236, 0.6); }

[contenteditable="true"]:focus.ng-invalid, [contenteditable="true"]:focus.required {
  outline: none;
  border-color: #e9322d;
  -webkit-box-shadow: 0 0 6px #f8b9b7;
  -moz-box-shadow: 0 0 6px #f8b9b7;
  box-shadow: 0 0 6px #f8b9b7; }

.thumbnailRow {
  padding-left: 20px; }

.metadata {
  position: relative;
  display: inline-block; }
  .metadata input {
    display: none; }

.navbar-inner .brand {
  background: url("../img/vanin-logo.png") no-repeat 5px 5px;
  background-size: 54px 30px;
  padding-left: 64px;
  padding-right: 20px; }

.metadata label {
  padding: 1px 3px;
  cursor: pointer;
  margin-bottom: 1px; }

.metadata input:checked + label {
  background: #ddd;
  font-weight: bold;
  border: 1px solid #c4c8cc;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px; }

.link-group {
  color: #558BC4; }

table.table td.link-group {
  overflow: visible;
  position: relative; }
  table.table td.link-group ul {
    right: 0; }

ul.thumbnails li {
  position: relative; }
  ul.thumbnails li .thumbnail div.centeredThumbnail {
    height: 150px;
    line-height: 150px;
    vertical-align: middle; }
    ul.thumbnails li .thumbnail div.centeredThumbnail img {
      max-height: 150px;
      max-width: 150px; }
  ul.thumbnails li .thumbnail .localeFlag {
    width: 24px;
    height: 24px;
    min-height: 24px;
    position: absolute;
    top: 7px;
    right: 10px; }
  ul.thumbnails li .thumbnail .localeFlag.nl_BE, ul.thumbnails li .thumbnail a.DUTCH {
    background: url("../img/flags/nl_24.png") no-repeat center; }
  ul.thumbnails li .thumbnail .localeFlag.fr_BE, ul.thumbnails li .thumbnail a.FRENCH {
    background: url("../img/flags/fr_24.png") no-repeat center; }
  ul.thumbnails li .thumbnail .localeFlag.de_BE, ul.thumbnails li .thumbnail a.GERMAN {
    background: url("../img/flags/de_24.png") no-repeat center; }
  ul.thumbnails li .thumbnail .localeFlag.en_BE, ul.thumbnails li .thumbnail a.ENGLISH {
    background: url("../img/flags/en_24.png") no-repeat center; }
  ul.thumbnails li .thumbnail .caption h4 {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis; }
  ul.thumbnails li .thumbnail .caption p:first-of-type {
    overflow: hidden;
    text-overflow: ellipsis;
    height: 85px;
    max-height: 85px; }

/*!sign in form*/
.form-signin {
  max-width: 300px;
  padding: 19px 29px 29px;
  margin: 25px auto 20px;
  background-color: #fff;
  border: 1px solid #e5e5e5;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05); }

.form-signin .form-signin-heading,
.form-signin .checkbox {
  margin-bottom: 10px; }

.form-signin input[type="text"],
.form-signin input[type="password"] {
  font-size: 16px;
  height: auto;
  margin-bottom: 15px;
  padding: 7px 9px; }

.projectsOverview th.index {
  width: 40px;
  max-width: 40px; }

.projectsOverview th.actions {
  width: 80px;
  max-width: 80px; }

.projectStructure h5 {
  margin: 0; }

.topicLink, .projectLink, .theoryLink, .exerciseLink {
  cursor: pointer;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap; }
  .topicLink a, .projectLink a, .theoryLink a, .exerciseLink a {
    color: #000000; }

.prototypeComment {
  margin: 25px;
  padding: 5px;
  background-color: #D47500;
  border: 2px #a15900 dashed; }

.navigationTable tbody tr {
  cursor: pointer; }

.navigationTable tbody tr:hover td {
  background: #e6e6e6; }

.navigationSubsectionTitle {
  cursor: pointer;
  cursor: hand; }
  .navigationSubsectionTitle ul li.exerciseLink span.label {
    width: 15px; }

.form-horizontal .control-label {
  text-align: left;
  width: 120px; }

.form-horizontal .controls {
  margin-left: 120px; }

#selected-tags {
  padding: 2px;
  margin-bottom: 5px;
  min-height: 25px;
  background: #EEE;
  border: solid #bbb 1px; }

.tagIncluded {
  display: inline-block;
  background: #DDD;
  margin: 2px;
  vertical-align: middle;
  padding: 2px 12px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px; }
  .tagIncluded span {
    display: inline-block;
    width: 123px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap; }
  .tagIncluded .tagActions {
    margin-left: 4px;
    cursor: pointer;
    opacity: 0.4; }
  .tagIncluded .tagActions:hover {
    opacity: 1.0; }

#adminTagCloud div {
  display: inline-block;
  margin-bottom: 4px;
  margin-right: 3px;
  background: #EEE;
  padding: 3px 6px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px; }
  #adminTagCloud div:hover {
    background: #E5E5EF; }
  #adminTagCloud div .tag {
    display: inline-block;
    width: 420px; }
  #adminTagCloud div .actions {
    margin-left: 3px; }
    #adminTagCloud div .actions i {
      opacity: 0.5;
      cursor: pointer; }
    #adminTagCloud div .actions i:hover {
      opacity: 1.0; }

.tag-cloud-widget {
  margin-bottom: 15px; }

input[type="text"].titleinput {
  width: 690px;
  font-size: 38.5px;
  line-height: 48px;
  height: 42px;
  color: #000000; }

.navigationTable tbody tr {
  cursor: pointer; }
  .navigationTable tbody tr:hover td {
    background: #e6e6e6; }
  .navigationTable tbody tr td.endActionColumn {
    text-align: right;
    padding-right: 15px;
    white-space: nowrap; }

.navigationTable thead tr th.endActionColumn {
  text-align: right;
  padding-right: 15px;
  cursor: pointer; }

th.counterColumn {
  width: 25px;
  max-width: 25px; }

[data-toggle="collapse"] {
  cursor: pointer; }
  [data-toggle="collapse"] span {
    display: inline-block;
    width: 14px;
    height: 14px;
    margin-top: 3px;
    margin-right: 5px;
    line-height: 14px;
    vertical-align: text-top;
    background-image: url("../img/glyphicons-halflings.png");
    background-position: -313px -119px;
    background-repeat: no-repeat; }
  [data-toggle="collapse"].collapsed span {
    background-position: -456px -72px; }

#answerContainer .answerbox {
  border-radius: 3px;
  position: relative; }
  #answerContainer .answerbox .widgetBar {
    position: absolute;
    top: 5px;
    right: 5px; }
  #answerContainer .answerbox .positionActions {
    position: absolute;
    top: 5px;
    right: 5px; }
  #answerContainer .answerbox h5 {
    display: inline-block; }
  #answerContainer .answerbox:first-child [data-action=up] {
    visibility: hidden; }
  #answerContainer .answerbox:last-child [data-action=down] {
    visibility: hidden; }

#questionContainer .questionbox {
  border-radius: 3px;
  padding: 5px;
  border: 1px solid gray;
  margin-bottom: 25px;
  background: #FAFAFA;
  position: relative; }
  #questionContainer .questionbox .widgetBar {
    position: absolute;
    top: 5px;
    right: 5px; }
  #questionContainer .questionbox h5 {
    display: inline-block; }
  #questionContainer .questionbox .answerbox {
    border-top: 1px solid;
    position: relative; }
    #questionContainer .questionbox .answerbox .widgetBar {
      position: absolute;
      top: 5px;
      right: 5px; }
    #questionContainer .questionbox .answerbox:first-child [data-action=up] {
      visibility: hidden; }
    #questionContainer .questionbox .answerbox:last-child [data-action=down] {
      visibility: hidden; }
  #questionContainer .questionbox:first-child [data-action=up-question] {
    visibility: hidden; }
  #questionContainer .questionbox:last-child [data-action=down-question] {
    visibility: hidden; }

#commentComponentContent div.comment {
  border-bottom: 1px solid #bbb;
  padding-bottom: 10px; }
  #commentComponentContent div.comment:last-child {
    border-bottom: none; }

.importOrCopyDialog .padding100 {
  padding-top: 100px; }

.line-above {
  margin-top: 1em; }

#projectContent {
  height: 450px;
  max-height: 450px;
  margin-top: 5px;
  margin-bottom: 50px; }
  #projectContent ul.dynatree-container .notReadyExercise {
    padding-left: 19px; }
    #projectContent ul.dynatree-container .notReadyExercise a {
      color: orange; }

h3.toggle {
  background: url(../img/chevron-down.png) 0 11px no-repeat;
  padding-left: 20px; }
  h3.toggle.collapsed {
    background: url(../img/chevron-right.png) 4px 11px no-repeat; }

h5.toggle {
  background: url(../img/chevron-down.png) 2px 0px no-repeat;
  background-size: 14px 14px;
  padding-left: 18px; }
  h5.toggle.collapsed {
    background: url(../img/chevron-right.png) 4px 0px no-repeat;
    background-size: 10px 14px; }

.relationready .nohotspotdefined {
  display: none; }

.relationnotready .hotspotdefined {
  display: none; }

#drawing {
  position: relative;
  padding: 0;
  margin-left: 2px;
  outline: 1px solid #999;
  overflow: hidden;
  -webkit-user-select: none; }
  #drawing .activeAction {
    font-weight: bold; }

#canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; }

.action.moveCursor {
  cursor: move; }

.action.deleteCursor {
  cursor: url(../img/delete.ico), not-allowed; }

.drawCursor {
  cursor: crosshair; }

table.table td {
  text-overflow: ellipsis;
  overflow: hidden;
  word-break: normal; }

table.table tr.noborder td, table.table th {
  border-top: none; }

table.table th.date {
  width: 80px; }

table.table th.source {
  width: 150px; }

table.table th.reftitle {
  width: 340px; }

table.fixed {
  table-layout: fixed; }

[data-action] {
  cursor: pointer; }

.mt {
  margin-top: 15px; }

.mb {
  margin-bottom: 15px; }

td form {
  margin-bottom: 0; }

table.translationTable {
  table-layout: fixed; }
  table.translationTable th.language {
    width: 20px;
    max-width: 20px; }
  table.translationTable th.content {
    width: 500px; }
  table.translationTable td.voiceOver {
    width: 50px;
    text-align: right;
    vertical-align: top; }
  table.translationTable td div, table.translationTable td input {
    width: 100%;
    padding-right: 5px;
    padding-left: 5px; }
  table.translationTable td div {
    margin-left: 0;
    margin-right: 0; }

.reference {
  position: relative; }

.flag {
  display: inline-block;
  width: 24px;
  min-height: 20px;
  min-width: 24px; }
  .flag.DUTCH {
    background: url("../img/flags/nl_24.png") no-repeat center; }
  .flag.FRENCH {
    background: url("../img/flags/fr_24.png") no-repeat center; }
  .flag.GERMAN {
    background: url("../img/flags/de_24.png") no-repeat center; }
  .flag.ENGLISH {
    background: url("../img/flags/en_24.png") no-repeat center; }

td .popover {
  white-space: normal; }

#languageContainer label.checkbox {
  display: inline-block; }

ul.assetListItems {
  list-style-type: none;
  padding: 0px;
  margin: 0px; }

.assetListItems span {
  position: relative;
  top: -5px;
  padding-left: 5px; }

#assets.assetListItems div {
  display: inline-block;
  margin-bottom: 12px; }

#assets.assetListItems span {
  top: -1px; }

div.fileTypes {
  margin-left: 20px; }

div.structure-tree[data-angular-treeview] {
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  float: left; }

div.structure-tree .treenode {
  margin-right: 13px; }

div.structure-tree .treenode .expand-all {
  display: none; }

div.structure-tree .treenode:hover > .expand-all {
  position: absolute;
  right: 0px;
  top: 2px;
  display: inline-block; }

div.structure-tree[data-tree-model] li .treenode .normal {
  background-image: none;
  padding: 1px 3px; }

div.structure-tree[data-tree-model] li .treenode .expanded {
  background-image: url("../img/glyphicons-halflings.png");
  background-position: -313px -119px;
  background-repeat: no-repeat; }

div.structure-tree[data-tree-model] li .treenode .collapsed {
  background-image: url("../img/glyphicons-halflings.png");
  background-position: -456px -72px;
  background-repeat: no-repeat; }

.uneditable-input, .uneditable-textarea {
  color: #666; }

.nav, .pagination, .carousel a {
  cursor: pointer; }

.form-horizontal.wider-horizontal-labels .control-label {
  text-align: left;
  width: 160px; }

.form-horizontal.wider-horizontal-labels .controls {
  margin-left: 165px; }
  .form-horizontal.wider-horizontal-labels .controls.noLeftMargin {
    margin-left: 0px; }

.modal {
  width: 85%;
  max-width: 1450px;
  margin: 10px 0px 0px 0px;
  left: 100px; }

.modal-body {
  max-height: 55vh; }

.bootstrap-tagsinput-long .bootstrap-tagsinput {
  width: 530px; }

.bootstrap-tagsinput {
  width: 206px; }

input[type='color'] {
  width: 45px; }

.input-prepend .add-on.color {
  width: 80px; }

.marker {
  background-color: Yellow; }

.notification.notification--bottom-right {
  right: auto;
  top: auto; }

.form-error, .formError {
  color: #cc0000; }

input.form-error, select.form-error, textarea.form-error {
  border-color: #cc0000;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); }

.publishing-date {
  line-height: 0px;
  font-size: 12.75px; }

label.tree-header.radio {
  padding: 0 0 0 40px; }

.conditional-sequence-values label.control-label {
  text-align: left;
  width: 120px; }

.conditional-sequence-values div.controls {
  margin-left: 0px !important; }

label.small .control-label {
  text-align: left; }

.top-margin {
  margin-top: 20px; }

.bottom-margin {
  margin-bottom: 20px; }

.left-margin {
  margin-left: 20px; }

div.modal-container {
  height: 400px;
  overflow-y: auto;
  padding-right: 20px;
  margin-top: 25px;
  margin-bottom: 25px;
  margin-left: 0px; }
  div.modal-container.search {
    height: 600px; }
    div.modal-container.search .left-margin {
      margin-left: 25px; }
    div.modal-container.search div.formFields label {
      margin-top: 3px; }

input.error {
  border-color: #e9322d;
  -webkit-box-shadow: 0 0 6px #f8b9b7;
  -moz-box-shadow: 0 0 6px #f8b9b7;
  box-shadow: 0 0 6px #f8b9b7; }

.cursor-pointer {
  cursor: pointer; }

.popover-content {
  font-size: 12.75px;
  line-height: 12.75px;
  word-wrap: break-word; }

span.fourColumns:nth-of-type(4n + 1) {
  clear: both; }

tr.summaryRow {
  border-top: 2px solid #000000; }

.alert.alert-no-margin {
  margin: 0 0 0 0; }

table#clickorder td {
  text-align: center;
  width: 30px; }

input.input-tiny {
  width: 20px; }
  input.input-tiny.number {
    width: 35px; }

.no-trailing-space form-input-element:last-of-type .control-group {
  margin-bottom: 0px; }

.question-centered {
  text-align: center; }

div[data-tree-model] li .selected {
  background-color: #aaddff;
  font-weight: bold;
  padding: 1px 0px; }

label.inline {
  display: inline-block; }

textarea:disabled, select:disabled, input:disabled, [contenteditable="false"] {
  background-color: #EEE; }

.btn:disabled {
  cursor: default;
  opacity: 0.65;
  box-shadow: none; }

.btn-primary:disabled {
  color: #ffffff; }

[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
  display: none !important; }

.error-background, .navigationTable tbody tr:hover td.error-background, .table-striped tbody tr:nth-child(odd) td.error-background {
  background-color: #f8b9b7; }

img.small {
  width: 32px; }

.cke_button_icon.cke_button__showassetlist_icon {
  display: none !important; }

.cke_button_label.cke_button__showassetlist_label {
  display: inline-block !important; }

label.radio {
  cursor: pointer; }

.sessionState {
  width: 6.382978723404255%;
  margin-right: 10px; }

.sessionState .progress {
  margin-bottom: 0;
  height: 2px;
  margin-top: 9px; }

.sessionState .progress-bar {
  min-height: 1px; }

.excel-icon {
  background-image: url("../img/excel.png");
  background-size: 20px 20px;
  background-repeat: no-repeat;
  display: inline-block;
  width: 20px;
  height: 20px;
  *margin-right: .3em;
  line-height: 20px;
  vertical-align: text-top;
  margin-top: 1px; }

select option:disabled {
  color: lightgrey;
  font-style: italic; 
}

.pb-0 {
  padding-bottom: 0 !important;
}
  
.pt-0 {
  padding-top: 0 !important;
}

.align-middle {
  vertical-align: middle !important;
}

.table-multiple-assets {
  table-layout: fixed;
  width: 100%;

  tbody {
    border-width: 1px !important;
  }

  tbody:nth-child(odd) td {
    background-color: rgba(0, 0, 0, 0.05);
  }

  tbody td.error-background {
    background-color: #f8b9b7; 
  }

  td {
    border: none;
  }

  textarea {
    box-sizing: border-box;
    width: 100%; 
  }
}

.ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 100%;
}

.max-two-lines {
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
}

.asset-search-result-grid {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(4, minmax(0, 1fr));

  .img-container {
    text-align: center;
  }

  .img-container img {
    height: 150px;
    width: 150px;
  }
}

.alt-text-edit {
  box-sizing: border-box;
  font-size: 12px;
  min-height: 32px;
  resize: vertical;
  width: 100%;
}
